Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<NonPersistent()> _
Public Class OrderInRows_ChangeGroup
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    Property RowGroup1 As String
    Property Change_RowGroup1 As Boolean = False
    Property RowGroup2 As String
    Property Change_RowGroup2 As Boolean = False
    Property QualityOption As QualityOption
    Property Change_QualityOption As Boolean = False
    Property FinalPricePercent As Double '%-osan a meglévő értéket növeli (+ és - lehet !!!)
    Property Change_FinalPricePercent As Boolean = False
    Property Description As String
    Property Change_Description As Boolean = False
    Property DiscountPercent As Double
    Property Change_DiscountPercent As Boolean = False
End Class
